---
- name: Repository for RPM systems
  when: ansible_os_family == "RedHat"
  block:
    - name: Enable supplementary repository for RHEL 8 and 9
      community.general.rhsm_repository:
        name: "rhel-{{ ansible_facts['distribution_major_version'] }}-for-x86_64-supplementary-rpms"
      when: ansible_facts['distribution'] == 'RedHat' and ansible_facts['distribution_major_version'] | int >= 8

    - name: Activate EPEL repository
      ansible.builtin.include_tasks: epel.yml
      when: ansible_os_family == "Redhat"

    - name: Add syslog-ng repository
      ansible.builtin.get_url:
        url: "{{ syslog_ng_repo_url }}"
        dest: /etc/yum.repos.d/syslog-ng.repo
        mode: "0644"

- name: Install syslog-ng
  ansible.builtin.package:
    name: syslog-ng
    state: present
